## org.apache.mahout.utils.clustering
Class ClusterDumper

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.common.AbstractJob
              org.apache.mahout.utils.clustering.ClusterDumper

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public final class ClusterDumper

extends AbstractJob

Field Summary
`static String` `DICTIONARY_OPTION`
`static String` `DICTIONARY_TYPE_OPTION`
`static String` `JSON_OPTION`
`static String` `NUM_WORDS_OPTION`
`static String` `OUTPUT_OPTION`
`static String` `POINTS_DIR_OPTION`
`static String` `SEQ_FILE_DIR_OPTION`
`static String` `SUBSTRING_OPTION`

Constructor Summary
`ClusterDumper()`
`ClusterDumper(org.apache.hadoop.fs.Path seqFileDir, org.apache.hadoop.fs.Path pointsDir)`

Method Summary
`Map<Integer,List<WeightedVectorWritable>>` `getClusterIdToPoints()`
`int` `getNumTopFeatures()`
`String` `getOutputFile()`
`int` `getSubString()`
`String` `getTermDictionary()`
`static void` `main(String[] args)`
`void` `printClusters(String[] dictionary)`
`int` `run(String[] args)`
`void` `setNumTopFeatures(int num)`
`void` `setOutputFile(String outputFile)`
`void` `setSubString(int subString)`
`void` `setTermDictionary(String termDictionary, String dictionaryType)`

Methods inherited from class org.apache.mahout.common.AbstractJob
`addFlag, addInputOption, addOption, addOption, addOption, addOption, addOutputOption, getInputPath, getOption, getOutputPath, hasOption, keyFor, maybePut, parseArguments, parseDirectories, prepareJob, shouldRunNextPhase`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Field Detail

### OUTPUT_OPTION

    public static final String OUTPUT_OPTION

See Also:
  Constant Field Values

### DICTIONARY_TYPE_OPTION

    public static final String DICTIONARY_TYPE_OPTION

See Also:
  Constant Field Values

### DICTIONARY_OPTION

    public static final String DICTIONARY_OPTION

See Also:
  Constant Field Values

### POINTS_DIR_OPTION

    public static final String POINTS_DIR_OPTION

See Also:
  Constant Field Values

### JSON_OPTION

    public static final String JSON_OPTION

See Also:
  Constant Field Values

### NUM_WORDS_OPTION

    public static final String NUM_WORDS_OPTION

See Also:
  Constant Field Values

### SUBSTRING_OPTION

    public static final String SUBSTRING_OPTION

See Also:
  Constant Field Values

### SEQ_FILE_DIR_OPTION

    public static final String SEQ_FILE_DIR_OPTION

See Also:
  Constant Field Values

Constructor Detail

### ClusterDumper

    public ClusterDumper(org.apache.hadoop.fs.Path seqFileDir,
                         org.apache.hadoop.fs.Path pointsDir)
                  throws IOException

Throws:
  `IOException`

### ClusterDumper

    public ClusterDumper()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### run

    public int run(String[] args)
            throws Exception

  Throws:
    `Exception`

### printClusters

    public void printClusters(String[] dictionary)
                       throws IOException,
                              InstantiationException,
                              IllegalAccessException

  Throws:
    `IOException`
    `InstantiationException`
    `IllegalAccessException`

### getOutputFile

    public String getOutputFile()

### setOutputFile

    public void setOutputFile(String outputFile)

### getSubString

    public int getSubString()

### setSubString

    public void setSubString(int subString)

### getClusterIdToPoints

    public Map<Integer,List<WeightedVectorWritable>> getClusterIdToPoints()

### getTermDictionary

    public String getTermDictionary()

### setTermDictionary

    public void setTermDictionary(String termDictionary,
                                  String dictionaryType)

### setNumTopFeatures

    public void setNumTopFeatures(int num)

### getNumTopFeatures

    public int getNumTopFeatures()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.